const express = require('express');
const router = express.Router();
const Announcement = require('../schemas/models');

// Route pour récupérer toutes les annonces
router.get('/', async (req, res) => {
    try {
        console.log("----")
        const announcements = await Announcement.find();
        console.log("----", announcements)
        res.render('announcements', { announcements: announcements });
    } catch (error) {
        res.status(500).json({ message: error.message });
    }
});

// Route pour afficher la page d'ajout d'annonce
router.get('/add-announcement', (req, res) => {
    console.log("---ee")
    res.render('add');
});

router.post('/add', async (req, res) => {
    console.log("----enn")
    const { title, propertyType, publicationStatus, propertyStatus, description, price, availabilityDate, photos, questions, answers } = req.body;

    const newAnnouncement = new Announcement({
        title,
        propertyType,
        publicationStatus,
        propertyStatus,
        description,
        price,
        availabilityDate,
        photos,
        questions,
        answers
    });

    try {
        await newAnnouncement.save();
        const announcements = await Announcement.find();
        res.render('announcements', { announcements: announcements });
    } catch (error) {
        res.render('add');
    }
});

module.exports = router;
