var mongoose = require('mongoose');
var Schema = mongoose.Schema;
var passportLocalMongoose = require('passport-local-mongoose');

var userSchema = new Schema({
    username: { type: String, required: true },
    password: { type: String, required: true }
});

userSchema.plugin(passportLocalMongoose);

userSchema.methods.validPassword = function(password) {
    return this.password === password;
};

const User = mongoose.model('User', userSchema);
module.exports = User;

const announcementSchema = new Schema({
    title: String,
    propertyType: String,
    publicationStatus: String,
    propertyStatus: String,
    description: String,
    price: Number,
    availabilityDate: Date,
    photos: [String],
    questions: [{
        question: String,
        userId: { type: mongoose.Schema.Types.ObjectId, ref: 'User' }
    }],
    answers: [{
        questionId: { type: mongoose.Schema.Types.ObjectId, ref: 'Question' },
        agentId: { type: mongoose.Schema.Types.ObjectId, ref: 'User' },
        answer: String
    }]
});;

module.exports = mongoose.model('Annoucement', announcementSchema);

